# docker-wordpress-sqlite
Fork from official wordpress4-php7.2-apache, with [sqlite plugin](https://wordpress.org/plugins/sqlite-integration/). For dev purpose or small memory device like Raspberrypi.

### Tags 

- `latest`: amd64
- `arm32v7`: Raspberry Pi v2 (not tested)
- `arm64v8`: Raspberry Pi v3 (not tested)

### How to use this image ?

Read [official Readme](https://hub.docker.com/r/_/wordpress/).

Deleted environment variables: `WORDPRESS_DB_*`
Added environment variables:

- `WORDPRESS_DB_DIR`: location of sqlite file, relative to /var/www/html (default to "database", ie "/var/www/html/database")
- `WORDPRESS_DB_FILE`: name of sqlite file (default to "database.sqlite")

### MySQL vs SQLite

Read this article https://darryldias.me/12/my-experience-with-wordpress-sqlite/